changeset 1410:7373c4c7ecee

Don't create build/packages _and_ $SRCTREE, they should be the same and when they aren't the first is wrong.
author Rob Landley <rob@landley.net>
date Wed, 06 Jul 2011 07:09:53 -0500
parents 8d0567d46cd7
children 63eab93262df
files sources/download_functions.sh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/sources/download_functions.sh	Tue Jul 05 08:39:59 2011 -0500
+++ b/sources/download_functions.sh	Wed Jul 06 07:09:53 2011 -0500
@@ -116,7 +116,7 @@
     UNIQUE=$(readlink /proc/self)
     trap 'rm -rf "$BUILD/temp-'$UNIQUE'"' EXIT
     rm -rf "$SRCTREE/$PACKAGE" 2>/dev/null
-    mkdir -p "$BUILD"/{temp-$UNIQUE,packages} || dienow
+    mkdir -p "$BUILD/temp-$UNIQUE" "$SRCTREE" || dienow
 
     { tar -xv${DECOMPRESS} -f "$FILENAME" -C "$BUILD/temp-$UNIQUE" || dienow
     } | dotprogress